summaryrefslogtreecommitdiff
path: root/debian/tests/python2
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python2')
-rwxr-xr-xdebian/tests/python213
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..925268d
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py /usr/bin/nosetests -v zmq.tests 2>&1
+ echo "=== $py-dbg ==="
+ $py-dbg /usr/bin/nosetests -v zmq.tests 2>&1
+done